API Explorer 896 endpoints

Delete obp_portal_page by id

DELETE /obp/dynamic-entity/obp_portal_page/OBP_PORTAL_PAGE_ID

OBPv4.0.0-dynamicEntity_deleteobp_portal_page_ Roles: CanDeleteDynamicEntityRecord_obp_portal_page(per bank) _Obp_portal_pageDynamic-EntityDynamic

Delete obp_portal_page by id

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"obp_portal_page"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "slug": "hackathon-2026",
  "title": "Open Banking Hackathon 2026",
  "kind": "page",
  "status": "draft",
  "summary": "48-hour hackathon on the sandbox APIs.",
  "source": "<style>…</style><div class=\"lp obp-landing\">…</div>",
  "author": "marketing.team",
  "updated_at": "2026-09-03T10:15:00Z"
}
Example success response
{
  "obp_portal_page": {
    "obp_portal_page_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "slug": "hackathon-2026",
    "title": "Open Banking Hackathon 2026",
    "kind": "page",
    "status": "draft",
    "summary": "48-hour hackathon on the sandbox APIs.",
    "source": "<style>…</style><div class=\"lp obp-landing\">…</div>",
    "author": "marketing.team",
    "updated_at": "2026-09-03T10:15:00Z"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_deleteobp_portal_page_ Originally /obp_portal_page/OBP_PORTAL_PAGE_ID